Package com.macrofocus.high_d.parallelcoordinates.layout

# Interface ParallelCoordinatesLayout

public interface ParallelCoordinatesLayout

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAxisAfterTrackGap()`
  `int`
  `getAxisBeforeTrackGap()`
  `Iterable<com.macrofocus.high_d.axis.group.AxisGroupModel>`
  `getAxisGroups(int level)`
  `int`
  `getAxisPreferredWidth()`
  `com.macrofocus.geom.Rectangle2D`
  `getBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup)`
  `com.macrofocus.geom.Rectangle2D`
  `getBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)`
  `com.macrofocus.geom.Rectangle2D`
  `getHeaderBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup)`
  `com.macrofocus.geom.Rectangle2D`
  `getHeaderBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)`
  `com.macrofocus.geom.Rectangle2D`
  `getLevelBounds(int level)`
  `int`
  `getLevelCount()`
  `com.macrofocus.geom.Rectangle2D`
  `getSliderBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)`
  `com.macrofocus.geom.Rectangle2D`
  `getTrackBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)`

- ## Method Details

  - ### getAxisPreferredWidth

    int getAxisPreferredWidth()

  - ### getAxisBeforeTrackGap

    int getAxisBeforeTrackGap()

  - ### getAxisAfterTrackGap

    int getAxisAfterTrackGap()

  - ### getBounds

    com.macrofocus.geom.Rectangle2D getBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup)

  - ### getBounds

    com.macrofocus.geom.Rectangle2D getBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getHeaderBounds

    com.macrofocus.geom.Rectangle2D getHeaderBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup)

  - ### getHeaderBounds

    com.macrofocus.geom.Rectangle2D getHeaderBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getSliderBounds

    com.macrofocus.geom.Rectangle2D getSliderBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getTrackBounds

    com.macrofocus.geom.Rectangle2D getTrackBounds(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getLevelBounds

    com.macrofocus.geom.Rectangle2D getLevelBounds(int level)

  - ### getLevelCount

    int getLevelCount()

  - ### getAxisGroups

    Iterable<com.macrofocus.high_d.axis.group.AxisGroupModel> getAxisGroups(int level)